package com.benyun.core.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;

@Data
@TableName("bl_wd_topological")
public class WdTopological {
    @TableField("center_wd_id")
    public String centerWdId;
    @TableField("center_wd_name")
    public String centerWdName;
    @TableField("radius")
    public int radius;
    @TableField("around_wd_id")
    public String aroundWdId;
    @TableField("around_wd_name")
    public String aroundWdName;
    @TableField("around_wd_type_code")
    public String aroundWdTypeCode;
    @TableField("around_type_code_tx")
    public String aroundTypeCodeTx;
    @TableField("around_type_code_gd")
    public String aroundTypeCodeGd;
    @TableField("around_type_code_by")
    public String aroundTypeCodeBy;
    @TableField("distance")
    public int distance;
    @TableField("addr_code")
    public String addrCode;
    @TableField("addr_code_info")
    public String addrCodeInfo;
    @TableField("addr_info")
    public String addrInfo;
    @TableField("lat")
    public BigDecimal lat;
    @TableField("lng")
    public BigDecimal lng;
    @TableField("geo_hash")
    public String geoHash;
}
